#include "tn_cube.h"
#include <pokecubed.h>

extern "C" {

int32 TNPlug_DecodeFramePlayer (struct TNPlugIFace *Self, struct TuneNet *inTuneNet,
	int16 *outbuffer)
{
	pokecubed *cubed = (pokecubed *)inTuneNet->handle;
	int frames = 0;
	if (cubed) {
		frames = cubed->getNSamples(inTuneNet->pcm[0], inTuneNet->dec_frequency >> 1);
	}
	return frames;
}

int32 TNPlug_SeekPlayer (struct TNPlugIFace *Self, struct TuneNet *inTuneNet, uint32 seconds) {
#if 0
	pokecubed *cubed = (pokecubed *)inTuneNet->handle;
	if (cubed) {
		cubed->seek(seconds);
		return seconds;
	}
#endif
	return 0;
}

}
